Skip to main content
POST
/
pixels
/
{storeUrl}
Create a tracking connection
curl --request POST \
  --url https://app.bily.ai/api/customer/v1/pixels/{storeUrl} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "pixel": "<string>"
}
'
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', pixel: '<string>'})
};

fetch('https://app.bily.ai/api/customer/v1/pixels/{storeUrl}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://app.bily.ai/api/customer/v1/pixels/{storeUrl}"

payload = {
"name": "<string>",
"pixel": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "storeUrl": "<string>",
  "pixels": [
    {
      "id": "<string>",
      "store": "<string>",
      "name": "<string>",
      "pixel": "<string>",
      "channel": "<string>",
      "enabled": true,
      "settings": {
        "enabled": true,
        "hideOriginalIP": true,
        "gaAnalytics": true,
        "baseDomain": "<string>",
        "metadata": {},
        "eventSettings": {
          "includeEvents": [
            "<string>"
          ],
          "excludeEvents": [
            "<string>"
          ]
        },
        "disableSubscribeEvents": true
      },
      "createdAt": 123,
      "updatedAt": 123,
      "published": true,
      "hasUnpublishedChanges": true
    }
  ],
  "ok": true
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}

Authorizations

x-api-key
string
header
required

A server-side Bily API key created under Settings > MCP > Access key fallback. Select the intended store before creating it.

Headers

x-bily-organization-id
string

An organization ID returned by GET /context or GET /organizations. Required for GET /stores and optional for store-scoped paths.

Example:

"org_01J8W7T9G3E6ZQ4M2K5N8P1R0S"

Path Parameters

storeUrl
string
required

The exact store URL returned by GET /context or GET /stores.

Example:

"store.example.com"

Body

application/json
name
string
required
pixel
string
required

The public pixel or tag identifier.

channel
enum<string>
required
Available options:
bing,
facebook,
ga,
google,
gtm,
klaviyo,
openai,
pinterest,
posthog,
quora,
reddit,
snapchat,
tiktok,
twitter,
mixpanel,
linkedin,
customHtml
enabled
boolean
default:true
hideOriginalIP
boolean
baseDomain
string
gaAnalytics
boolean
metadata
object
eventSettings
object
disableSubscribeEvents
boolean

Response

Request completed successfully.

storeUrl
string
required
pixels
object[]
required
ok
boolean